package br.com.ginfes.homologacao;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;

/**
 * This class was generated by Apache CXF 3.1.4
 * 2016-03-03T08:43:50.289-03:00
 * Generated source version: 3.1.4
 * 
 */
@WebService(targetNamespace = "http://homologacao.ginfes.com.br", name = "ServiceGinfesImpl")
@SOAPBinding(style = SOAPBinding.Style.RPC)
public interface ServiceGinfesImpl {

    @WebMethod(operationName = "ConsultarSituacaoLoteRps")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarSituacaoLoteRps(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );

    @WebMethod(operationName = "CancelarNfseV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String cancelarNfseV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "CancelarNfse")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String cancelarNfse(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );

    @WebMethod(operationName = "ConsultarLoteRpsV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarLoteRpsV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "RecepcionarLoteRpsV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String recepcionarLoteRpsV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "ConsultarLoteRps")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarLoteRps(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );

    @WebMethod(operationName = "ConsultarSituacaoLoteRpsV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarSituacaoLoteRpsV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "ConsultarNfseV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarNfseV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "ConsultarNfse")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarNfse(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );

    @WebMethod(operationName = "ConsultarNfsePorRps")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarNfsePorRps(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );

    @WebMethod(operationName = "ConsultarNfsePorRpsV3")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String consultarNfsePorRpsV3(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0,
        @WebParam(partName = "arg1", name = "arg1")
        java.lang.String arg1
    );

    @WebMethod(operationName = "RecepcionarLoteRps")
    @WebResult(name = "return", targetNamespace = "http://homologacao.ginfes.com.br", partName = "return")
    public java.lang.String recepcionarLoteRps(
        @WebParam(partName = "arg0", name = "arg0")
        java.lang.String arg0
    );
}
